<main class="viewer__container" *ngIf="boksNodeElements$ | async as boks">
  <div class="viewer__fullwidth">
    <header>
      <lib-pageheader
        [pageTitle]="'BOKS Inhoud'"
        [superTitle]="'Overzicht'"
        [actionIsAllowed]="false"
      ></lib-pageheader>
      <section>
        <p>
          Hier zie je een overzicht van de BOKS items en de bijbehorende BOKS content. Je kunt hier nieuwe
          BOKS content aanmaken, en je kunt bestaande content verplaatsen door deze naar een andere BOKS node
          te slepen.
        </p>
      </section>
    </header>

    <lib-filter
      [title]="'Leerlijnen'"
      [filters]="filterElements$ | async"
      (selectionChanged)="onFilterSelectionChanged($event)"
    ></lib-filter>

    <article>
      <section>
        <lib-dnd-treeview
          [tree]="boksNodeElements$ | async"
          (itemDropped)="onItemDropped($event)"
          (contentAdded)="onContentAdded($event)"
        ></lib-dnd-treeview>
      </section>
    </article>

    <footer>
      <p>Ruimte voor footer.</p>
    </footer>
  </div>
</main>
